
<form (ngSubmit)="onSubmit()" #personForm="ngForm">
  <input type="text" name="name" placeholder="Name" [(ngModel)]="person.name" #nameModel="ngModel" required pattern="^[a-zA-Z]*$"/>
  <ng-container *ngIf="nameModel.touched || !nameModel.pristine">
    <span style="color: red;" *ngIf="nameModel.errors?.['required']">Le champ est requis.</span>
    <span style="color: red;" *ngIf="nameModel.errors?.['pattern']">Le champ ne respecte pas le format attendu.</span>
  </ng-container>
  <br/>
  <input type="number" name="age" placeholder="Age" [(ngModel)]="person.age"/><br/>
  <button [disabled]="!personForm.valid">submit</button>
</form>

{{person.name}} {{person.age}}
